import { SvelteComponentTyped } from "svelte";
import type { Override, SvelteuiTextAlignment } from '../../styles';
import type { TitleOrder } from './Title.styles';
declare const __propDef: {
    props: {
        class?: string;
        /** Override prop for custom theming the component */ override?: Override['props'];
        /** The alignment to be applied to the text */ align?: SvelteuiTextAlignment;
        /** Defines the style and compoennt to be used */ order?: TitleOrder;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type TitleProps = typeof __propDef.props;
export declare type TitleEvents = typeof __propDef.events;
export declare type TitleSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * Display text that uses title styling and title HTML tags.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/title
 * @example
 *    ```tsx
 *    <Title>This is a title</Title> // standard title component
 *    <Title order={3}>This is a title</Title> // title component with order 2
 *    <Title order={1} override={{ fontSize: '90px' }}>This is a bigger title</Title> // title component with override style
 *    ```
 */
export default class Title extends SvelteComponentTyped<TitleProps, TitleEvents, TitleSlots> {
}
export {};
